MGASA-2021-0496 - Updated libcaca packages fix security vulnerability

Publication date: 29 Oct 2021
URL: https://advisories.mageia.org/MGASA-2021-0496.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-30498,
     CVE-2021-30499

A flaw was found in libcaca. A heap buffer overflow in export.c in function
export_tga might lead to memory corruption and other potential consequences.
(CVE-2021-30498)

A flaw was found in libcaca. A buffer overflow of export.c in function
export_troff might lead to memory corruption and other potential
consequences. (CVE-2021-30499)

References:
- https://bugs.mageia.org/show_bug.cgi?id=29575
- https://ubuntu.com/security/notices/USN-5119-1
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30498
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30499

SRPMS:
- 8/core/libcaca-0.99-0.beta19.5.2.mga8